Index: src/Actions/FragmentationAction/FragmentationAutomationAction.cpp
===================================================================
--- src/Actions/FragmentationAction/FragmentationAutomationAction.cpp	(revision 286e3649c8528fe76cb64a3db5b19b18282fe9e2)
+++ src/Actions/FragmentationAction/FragmentationAutomationAction.cpp	(revision 1f66c7447fe08a8eda304683cb7fc7e77ce95ba5)
@@ -59,5 +59,5 @@
 #include "Jobs/MPQCJob.hpp"
 #include "Jobs/MPQCData.hpp"
-#include "Jobs/MPQCData_printName.hpp"
+#include "Jobs/MPQCData_printKeyNames.hpp"
 #include "molecule.hpp"
 #include "World.hpp"
Index: src/Fragmentation/Summation/Makefile.am
===================================================================
--- src/Fragmentation/Summation/Makefile.am	(revision 286e3649c8528fe76cb64a3db5b19b18282fe9e2)
+++ src/Fragmentation/Summation/Makefile.am	(revision 1f66c7447fe08a8eda304683cb7fc7e77ce95ba5)
@@ -11,4 +11,5 @@
 	Fragmentation/Summation/OrthogonalSummation.hpp \
 	Fragmentation/Summation/OrthogonalSummation_impl.hpp \
+	Fragmentation/Summation/printKeyNames.hpp \
 	Fragmentation/Summation/printSum.hpp \
 	Fragmentation/Summation/SetValue.hpp \
Index: src/Fragmentation/Summation/printKeyNames.hpp
===================================================================
--- src/Fragmentation/Summation/printKeyNames.hpp	(revision 1f66c7447fe08a8eda304683cb7fc7e77ce95ba5)
+++ src/Fragmentation/Summation/printKeyNames.hpp	(revision 1f66c7447fe08a8eda304683cb7fc7e77ce95ba5)
@@ -0,0 +1,33 @@
+/*
+ * printKeyNames.hpp
+ *
+ *  Created on: 30.07.2012
+ *      Author: heber
+ */
+
+#ifndef PRINTKEYNAMES_HPP_
+#define PRINTKEYNAMES_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+/** Specific namespace for all the specialized template functions that print
+ * a useful name for each of the boost::fusion::map key.
+ */
+namespace printKeyNames {
+
+  /** This function needs to be specialized for every member variable in your
+   * boost::fusion::map of values to sum up each such that it prints the name
+   * of the member variable.
+   *
+   * By default, we just return an empty string.
+   */
+  template <typename T> std::string printName() {
+    return std::string();
+  };
+
+}
+
+#endif /* PRINTKEYNAMES_HPP_ */
Index: src/Fragmentation/Summation/printSum.hpp
===================================================================
--- src/Fragmentation/Summation/printSum.hpp	(revision 286e3649c8528fe76cb64a3db5b19b18282fe9e2)
+++ src/Fragmentation/Summation/printSum.hpp	(revision 1f66c7447fe08a8eda304683cb7fc7e77ce95ba5)
@@ -20,20 +20,6 @@
 #include "Fragmentation/Summation/Summator.hpp"
 
-/** Specific namespace for all the specialized template functions that print
- * a useful name for each of the boost::fusion::map key.
- */
-namespace FusionKeyNames {
+#include "Fragmentation/Summation/printKeyNames.hpp"
 
-  /** This function needs to be specialized for every member variable in your
-   * boost::fusion::map of values to sum up each such that it prints the name
-   * of the member variable.
-   *
-   * By default, we just return an empty string.
-   */
-  template <typename T> std::string printName() {
-    return std::string();
-  };
-
-}
 /** Tiny template functor to use OrthogonalSummation, sum up and print the result.
  *
@@ -80,5 +66,5 @@
     MapValue value = sum_value();
     // print value
-    LOG(0, "STATUS: Resulting " << FusionKeyNames::printName<MapKey>() << " is " << value << ".");
+    LOG(0, "STATUS: Resulting " << printKeyNames::printName<MapKey>() << " is " << value << ".");
   }
 
Index: src/Jobs/MPQCData_printKeyNames.hpp
===================================================================
--- src/Jobs/MPQCData_printKeyNames.hpp	(revision 1f66c7447fe08a8eda304683cb7fc7e77ce95ba5)
+++ src/Jobs/MPQCData_printKeyNames.hpp	(revision 1f66c7447fe08a8eda304683cb7fc7e77ce95ba5)
@@ -0,0 +1,79 @@
+/*
+ * MPQCData_printKeyNames.hpp
+ *
+ *  Created on: 28.07.2012
+ *      Author: heber
+ */
+
+#ifndef MPQCDATA_PRINTKEYNAMES_HPP_
+#define MPQCDATA_PRINTKEYNAMES_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+//#include <iosfwd>
+#include <string>
+
+#include <boost/preprocessor/iteration/local.hpp>
+#include <boost/preprocessor/seq/elem.hpp>
+#include <boost/preprocessor/seq/seq.hpp>
+#include <boost/preprocessor/seq/size.hpp>
+#include <boost/preprocessor/stringize.hpp>
+
+/** this is the boost::preprocessor::sequence of the keys in the boost::fusion::map
+ *
+ * Basically, every key appears here in brackets. If so, then the preprocessor magic
+ * below will create a template specialization of the printName() function in the
+ * namespace printKeyNames.
+ */
+#define tokensequence \
+  (energy_total) \
+	(energy_nuclear_repulsion) \
+	(energy_electron_coulomb) \
+  (energy_electron_exchange) \
+	(energy_correlation) \
+	(energy_overlap) \
+	(energy_kinetic) \
+	(energy_hcore) \
+	(energy_eigenvalues) \
+	(forces) \
+	(times_walltime) \
+	(times_cputime) \
+	(times_flops)
+
+/// we take note of the number of keys in tokensequence as (local) loop bounds below
+#ifndef tokensequence
+#define MAXTOKENS 0
+#else
+#define MAXTOKENS BOOST_PP_SEQ_SIZE(tokensequence)
+#endif
+
+//!> this is the macro function which prints the specialized template function
+#define printName_specializer(z, n, NAMESPACE, TOKENSEQ, NAMESEQ ) \
+  template<> std::string printName< NAMESPACE :: BOOST_PP_SEQ_ELEM( n, TOKENSEQ ) >() { \
+    return std::string( BOOST_PP_STRINGIZE( BOOST_PP_SEQ_ELEM( n, NAMESEQ ) ) ); \
+  }
+
+/** Specific namespace for all the specialized template functions that print
+ * a useful name for each of the boost::fusion::map key.
+ */
+namespace printKeyNames {
+  /* iterate (line-wise) over the sequence and spill out a specialized printName
+   * for each member in the boost::fusion::map.
+   */
+#if defined tokensequence && defined MAXTOKENS && defined printName_specializer
+#define BOOST_PP_LOCAL_MACRO(n) printName_specializer(~, n, MPQCDataFused, tokensequence, tokensequence)
+#define BOOST_PP_LOCAL_LIMITS  (0, MAXTOKENS-1)
+#include BOOST_PP_LOCAL_ITERATE()
+#endif
+
+}; /* namespace printKeyNames */
+
+#undef tokensequence
+#undef printName_specializer
+
+#undef MAXTOKENS
+
+#endif /* MPQCDATA_PRINTKEYNAMES_HPP_ */
Index: c/Jobs/MPQCData_printName.hpp
===================================================================
--- src/Jobs/MPQCData_printName.hpp	(revision 286e3649c8528fe76cb64a3db5b19b18282fe9e2)
+++ 	(revision )
@@ -1,79 +1,0 @@
-/*
- * MPQCData_printName.hpp
- *
- *  Created on: 28.07.2012
- *      Author: heber
- */
-
-#ifndef MPQCDATA_PRINTNAME_HPP_
-#define MPQCDATA_PRINTNAME_HPP_
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-//#include <iosfwd>
-#include <string>
-
-#include <boost/preprocessor/iteration/local.hpp>
-#include <boost/preprocessor/seq/elem.hpp>
-#include <boost/preprocessor/seq/seq.hpp>
-#include <boost/preprocessor/seq/size.hpp>
-#include <boost/preprocessor/stringize.hpp>
-
-/** this is the boost::preprocessor::sequence of the keys in the boost::fusion::map
- *
- * Basically, every key appears here in brackets. If so, then the preprocessor magic
- * below will create a template specialization of the printName() function in the
- * namespace FusionKeyNames.
- */
-#define tokensequence \
-  (energy_total) \
-	(energy_nuclear_repulsion) \
-	(energy_electron_coulomb) \
-  (energy_electron_exchange) \
-	(energy_correlation) \
-	(energy_overlap) \
-	(energy_kinetic) \
-	(energy_hcore) \
-	(energy_eigenvalues) \
-	(forces) \
-	(times_walltime) \
-	(times_cputime) \
-	(times_flops)
-
-/// we take note of the number of keys in tokensequence as (local) loop bounds below
-#ifndef tokensequence
-#define MAXTOKENS 0
-#else
-#define MAXTOKENS BOOST_PP_SEQ_SIZE(tokensequence)
-#endif
-
-//!> this is the macro function which prints the specialized template function
-#define printName_specializer(z, n, NAMESPACE, TOKENSEQ, NAMESEQ ) \
-  template<> std::string printName< NAMESPACE :: BOOST_PP_SEQ_ELEM( n, TOKENSEQ ) >() { \
-    return std::string( BOOST_PP_STRINGIZE( BOOST_PP_SEQ_ELEM( n, NAMESEQ ) ) ); \
-  }
-
-/** Specific namespace for all the specialized template functions that print
- * a useful name for each of the boost::fusion::map key.
- */
-namespace FusionKeyNames {
-  /* iterate (line-wise) over the sequence and spill out a specialized printName
-   * for each member in the boost::fusion::map.
-   */
-#if defined tokensequence && defined MAXTOKENS && defined printName_specializer
-#define BOOST_PP_LOCAL_MACRO(n) printName_specializer(~, n, MPQCDataFused, tokensequence, tokensequence)
-#define BOOST_PP_LOCAL_LIMITS  (0, MAXTOKENS-1)
-#include BOOST_PP_LOCAL_ITERATE()
-#endif
-
-}; /* namespace FusionKeyNames */
-
-#undef tokensequence
-#undef printName_specializer
-
-#undef MAXTOKENS
-
-#endif /* MPQCDATA_PRINTNAME_HPP_ */
Index: src/Jobs/Makefile.am
===================================================================
--- src/Jobs/Makefile.am	(revision 286e3649c8528fe76cb64a3db5b19b18282fe9e2)
+++ src/Jobs/Makefile.am	(revision 1f66c7447fe08a8eda304683cb7fc7e77ce95ba5)
@@ -12,5 +12,5 @@
         Jobs/MPQCDataFused.hpp \
         Jobs/MPQCDataMap.hpp \
-        Jobs/MPQCData_printName.hpp \
+        Jobs/MPQCData_printKeyNames.hpp \
         Jobs/MPQCJob.hpp 
 
